Scala Bytecode Parser2.12.2-20170504-135222-21d12e9 < Back
 

# Packages

-  package root
  Definition Classes
    root
-  package scala
  Definition Classes
    root
-  package tools
  Definition Classes
    scala
-  package scalap
  Definition Classes
    tools
-  package scalax
  Definition Classes
    scalap
-  package rules
  Definition Classes
    scalax
-  package scalasig
  Definition Classes
    rules
- Choice
- DefaultMemoisable
- Error
- Failure
- InRule
- Memoisable
- MemoisableRules
- Name
- NoSuccess
- Result
- Rule
- Rules
- RulesWithState
- ScalaSigParserError
- SeqRule
- StateRules
- Success
- ~

c

scala.tools.scalap.scalax.rules

# Result 

###

#### sealed abstract class Result[+Out, +A, +X] extends AnyRef

Source
  Result.scala

Linear Supertypes
AnyRef, Any
Known Subclasses
Error, Failure, NoSuccess, Success
Type Hierarchy
 
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. Result
2. AnyRef
3. Any

Implicitly

1. by any2stringadd
2. by StringFormat
3. by Ensuring
4. by ArrowAssoc

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Abstract Value Members

1.  abstract def error: X
2.  abstract def flatMap[Out2, B](f: (Out, A) ⇒ Result[Out2, B, Nothing]): Result[Out2, B, X]
3.  abstract def map[Out2, B](f: (Out, A) ⇒ (Out2, B)): Result[Out2, B, X]
4.  abstract def map[B](f: (A) ⇒ B): Result[Out, B, X]
5.  abstract def mapOut[Out2](f: (Out) ⇒ Out2): Result[Out2, A, X]
6.  abstract def orElse[Out2 >: Out, B >: A](other: ⇒ Result[Out2, B, Nothing]): Result[Out2, B, X]
7.  abstract def out: Out
8.  implicit abstract def toOption: Option[A]
9.  abstract def value: A

### Concrete Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##(): Int
   Definition Classes
     AnyRef → Any
3.  def +(other: String): String
   Implicit
     This member is added by an implicit conversion from Result[Out, A, X] to any2stringadd[Result[Out, A, X]] performed by method any2stringadd in scala.Predef.
   Definition Classes
     any2stringadd
4.  def ->[B](y: B): (Result[Out, A, X], B)
   Implicit
     This member is added by an implicit conversion from Result[Out, A, X] to ArrowAssoc[Result[Out, A, X]] performed by method ArrowAssoc in scala.Predef.
   Definition Classes
     ArrowAssoc
   Annotations
     @inline()
5.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
6.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
7.  def clone(): AnyRef
   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... )
8.  def ensuring(cond: (Result[Out, A, X]) ⇒ Boolean, msg: ⇒ Any): Result[Out, A, X]
   Implicit
     This member is added by an implicit conversion from Result[Out, A, X] to Ensuring[Result[Out, A, X]] performed by method Ensuring in scala.Predef.
   Definition Classes
     Ensuring
9.  def ensuring(cond: (Result[Out, A, X]) ⇒ Boolean): Result[Out, A, X]
   Implicit
     This member is added by an implicit conversion from Result[Out, A, X] to Ensuring[Result[Out, A, X]] performed by method Ensuring in scala.Predef.
   Definition Classes
     Ensuring
10.  def ensuring(cond: Boolean, msg: ⇒ Any): Result[Out, A, X]
    Implicit
      This member is added by an implicit conversion from Result[Out, A, X] to Ensuring[Result[Out, A, X]] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
11.  def ensuring(cond: Boolean): Result[Out, A, X]
    Implicit
      This member is added by an implicit conversion from Result[Out, A, X] to Ensuring[Result[Out, A, X]] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
12.  final def eq(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
13.  def equals(arg0: Any): Boolean
    Definition Classes
      AnyRef → Any
14.  def finalize(): Unit
    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )
15.  def formatted(fmtstr: String): String
    Implicit
      This member is added by an implicit conversion from Result[Out, A, X] to StringFormat[Result[Out, A, X]] performed by method StringFormat in scala.Predef.
    Definition Classes
      StringFormat
    Annotations
      @inline()
16.  final def getClass(): Class[_]
    Definition Classes
      AnyRef → Any
17.  def hashCode(): Int
    Definition Classes
      AnyRef → Any
18.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
19.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
20.  final def notify(): Unit
    Definition Classes
      AnyRef
21.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
22.  final def synchronized[T0](arg0: ⇒ T0): T0
    Definition Classes
      AnyRef
23.  def toString(): String
    Definition Classes
      AnyRef → Any
24.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
25.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
26.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
27.  def →[B](y: B): (Result[Out, A, X], B)
    Implicit
      This member is added by an implicit conversion from Result[Out, A, X] to ArrowAssoc[Result[Out, A, X]] performed by method ArrowAssoc in scala.Predef.
    Definition Classes
      ArrowAssoc

### Inherited from AnyRef

### Inherited from Any

### Inherited by implicit conversion any2stringadd from Result[Out, A, X] to any2stringadd[Result[Out, A, X]]

### Inherited by implicit conversion StringFormat from Result[Out, A, X] to StringFormat[Result[Out, A, X]]

### Inherited by implicit conversion Ensuring from Result[Out, A, X] to Ensuring[Result[Out, A, X]]

### Inherited by implicit conversion ArrowAssoc from Result[Out, A, X] to ArrowAssoc[Result[Out, A, X]]

### Ungrouped